カスタムQRコード
GET https://u.page/api/qr-codes/
curl --request GET \
--url 'https://u.page/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 | 検索文字列 |
| search_by | オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 | 何のフィールドで検索していますか。許可される値はnameです。 |
| type | オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 | 何のフィールドで検索していますか。許可される値はtext, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pixです。 |
| datetime_field | オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 | 許可される値: datetime, last_datetime |
| datetime_start | オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 | 結果を並べ替えるフィールドは何ですか。許可される値はqr_code_id, datetime, last_datetime, name, typeです。 |
| order_type | オプション 文字列を翻訳しますが、末尾のピリオドは返さないようにします。 | 結果の順序。許可される値は、昇順の ASC と降順の DESC です。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果の数を指定してください。許可される値は10, 25, 50, 100, 250, 500, 1000です。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"link_id": 1,
"type": "Example",
"name": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-13 08:29:00"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://u.page/api/qr-codes?page=1",
"last": "https://u.page/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://u.page/api/qr-codes?page=1"
}
}
GET https://u.page/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-13 08:29:00"
}
}
POST https://u.page/api/qr-codes
| パラメータ | 詳細 | 説明 |
|---|---|---|
curl --request POST \
--url 'https://u.page/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://u.page/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-13 08:29:00"
}
}
POST https://u.page/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-13 08:29:00"
}
}
DELETE https://u.page/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \